/**
 * `JSON.parse` with “JavaScript turned on”.
 *
 * Objects having *exactly* one property which is present in the `handlers` map, i.e. objects of the form:
 *
 * ```js
 * { "«handlerName»": [«params»] }
 * ```
 *
 * are replaced by the result of call
 *
 * ```js
 * handlers['«handlerName»'](...«params»)
 * ```
 */
export function jsOnParse(handlers: Partial<Record<PropertyKey, Function>>, text: string): any;

export namespace tests {
    function jsOnParse(expect: import("bun:test").Expect): void;
}
