/**
 * A helper that implements TypeScript’s `Omit` utility type.
 */
export const omit: <T extends Partial<Record<PropertyKey, any>>, K extends (keyof T)[]>(obj: T, keys: K) => Omit<T, K[number]>;

/**
 * A helper that implements TypeScript’s `Pick` utility type.
 */
export const pick: <T extends Partial<Record<PropertyKey, any>>, K extends (keyof T)[]>(obj: T, keys: K) => Pick<T, K[number]>;

export namespace tests {
    function pick(expect: import("bun:test").Expect): void;
    function omit(expect: import("bun:test").Expect): void;
}
