/**
 * A helper for choosing the correct singular and plural.
 */
export const plUral = (
  /** @type {string} */ singular,
  /** @type {string} */ plural2,
  /** @type {string} */ plural5,
  /** @type {number} */ value
) => {
  const absValue = Math.abs(value)
  const absValueMod10 = absValue % 10

  return value === 1
    ? singular
    : (absValueMod10 === 2 || absValueMod10 === 3 || absValueMod10 === 4) &&
      absValue !== 12 && absValue !== 13 && absValue !== 14
        ? plural2
        : plural5
}

export const tests = {
  plUral: (/** @type {import('bun:test').Expect} */ expect) => {
    // @ts-expect-error
    const auto = plUral.bind(null, 'auto', 'auta', 'aut')

    expect(auto(0)).toEqual('aut')
    expect(auto(1)).toEqual('auto')
    expect(auto(17)).toEqual('aut')
    expect(auto(42)).toEqual('auta')

    // @ts-expect-error
    const car = plUral.bind(null, 'car', 'cars', 'cars')

    expect(car(0)).toEqual('cars')
    expect(car(1)).toEqual('car')
    expect(car(17)).toEqual('cars')
    expect(car(42)).toEqual('cars')
  }
}
