export const tests: {
    uuid1: (expect: import('bun:test').Expect) => void;
    'uuid1: node': (expect: import('bun:test').Expect) => void;
    'uuid1: date': (expect: import('bun:test').Expect) => void;
};

/**
 * A helper that generates a UUID v1 identifier (with a creation timestamp).
 *
 * - The optional `node` parameter should have the format `/^[0123456789abcdef]+$/`.
 *   Its value will be trimmed to last 12 characters and left padded with zeros.
 */
export function uuid1({ date, node }?: {
    date?: Date | undefined;
    node?: string | undefined;
}): string;
